OGRE: Ogre::v1::GLES2RenderToVertexBuffer Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::v1::GLES2RenderToVertexBuffer Class Reference

`#include <OgreGLES2RenderToVertexBuffer.h>`

Inheritance diagram for Ogre::v1::GLES2RenderToVertexBuffer:
[legend]

## Public Member Functions
| GLES2RenderToVertexBuffer ()
| C'tor. More...
virtual | ~GLES2RenderToVertexBuffer ()
| D'tor. More...
unsigned int | getMaxVertexCount () const
| Get the maximum number of vertices that the buffer will hold. More...
OperationType | getOperationType () const
| What type of primitives does this object generate? More...
virtual void | getRenderOperation (RenderOperation &op)
| Get the render operation for this buffer. More...
const MaterialPtr & | getRenderToBufferMaterial ()
| Get the material which is used to render the geometry into the vertex buffer. More...
bool | getResetsEveryUpdate () const
| Does this object reset its buffer each time it updates? More...
const Renderable * | getSourceRenderable () const
| Get the source renderable of this object. More...
VertexDeclaration * | getVertexDeclaration ()
| Get the vertex declaration that the pass will output. More...
virtual void | reset ()
| Reset the vertex buffer to the initial state. More...
void | setMaxVertexCount (unsigned int maxVertexCount)
| Set the maximum number of vertices that the buffer will hold. More...
void | setOperationType (OperationType operationType)
| Set the type of primitives that this object generates. More...
void | setRenderToBufferMaterialName (const String &materialName)
| Set the material name which is used to render the geometry into the vertex buffer. More...
void | setResetsEveryUpdate (bool resetsEveryUpdate)
| Set whether this object resets its buffers each time it updates. More...
void | setSourceRenderable (Renderable *source)
| Set the source renderable of this object. More...
virtual void | update (SceneManager *sceneMgr)
| Update the contents of this vertex buffer by rendering. More...

## Detailed Description

    An object which renders geometry to a vertex.

Remarks
  This is especially useful together with geometry shaders, as you can render procedural geometry which will get saved to a vertex buffer for reuse later, without regenerating it again. You can also create shaders that run on previous results of those shaders, creating stateful shaders.

## Constructor & Destructor Documentation

## ◆ GLES2RenderToVertexBuffer()

Ogre::v1::GLES2RenderToVertexBuffer::GLES2RenderToVertexBuffer | ( |  | ) |

C'tor.

## ◆ ~GLES2RenderToVertexBuffer()

virtual Ogre::v1::GLES2RenderToVertexBuffer::~GLES2RenderToVertexBuffer | ( |  | ) |
| virtual

D'tor.

## Member Function Documentation

## ◆ getMaxVertexCount()

unsigned int Ogre::v1::RenderToVertexBuffer::getMaxVertexCount | ( |  | ) | const
| inlineinherited

Get the maximum number of vertices that the buffer will hold.

## ◆ getOperationType()

OperationType Ogre::v1::RenderToVertexBuffer::getOperationType | ( |  | ) | const
| inlineinherited

What type of primitives does this object generate?

## ◆ getRenderOperation()

virtual void Ogre::v1::GLES2RenderToVertexBuffer::getRenderOperation | ( | RenderOperation & | op | ) |
| virtual

Get the render operation for this buffer.

Implements Ogre::v1::RenderToVertexBuffer.

## ◆ getRenderToBufferMaterial()

const MaterialPtr& Ogre::v1::RenderToVertexBuffer::getRenderToBufferMaterial | ( |  | ) |
| inlineinherited

Get the material which is used to render the geometry into the vertex buffer.

## ◆ getResetsEveryUpdate()

bool Ogre::v1::RenderToVertexBuffer::getResetsEveryUpdate | ( |  | ) | const
| inlineinherited

Does this object reset its buffer each time it updates?

## ◆ getSourceRenderable()

const Renderable* Ogre::v1::RenderToVertexBuffer::getSourceRenderable | ( |  | ) | const
| inlineinherited

Get the source renderable of this object.

## ◆ getVertexDeclaration()

VertexDeclaration* Ogre::v1::RenderToVertexBuffer::getVertexDeclaration | ( |  | ) |
| inherited

Get the vertex declaration that the pass will output.

Remarks
  Use this object to set the elements of the buffer. Object will calculate buffers on its own. Only one source allowed!

## ◆ reset()

virtual void Ogre::v1::RenderToVertexBuffer::reset | ( |  | ) |
| inlinevirtualinherited

Reset the vertex buffer to the initial state.

In the next update, the source renderable will be used as input.

## ◆ setMaxVertexCount()

void Ogre::v1::RenderToVertexBuffer::setMaxVertexCount | ( | unsigned int | maxVertexCount | ) |
| inlineinherited

Set the maximum number of vertices that the buffer will hold.

## ◆ setOperationType()

void Ogre::v1::RenderToVertexBuffer::setOperationType | ( | OperationType | operationType | ) |
| inlineinherited

Set the type of primitives that this object generates.

## ◆ setRenderToBufferMaterialName()

void Ogre::v1::RenderToVertexBuffer::setRenderToBufferMaterialName | ( | const String & | materialName | ) |
| inherited

Set the material name which is used to render the geometry into the vertex buffer.

## ◆ setResetsEveryUpdate()

void Ogre::v1::RenderToVertexBuffer::setResetsEveryUpdate | ( | bool | resetsEveryUpdate | ) |
| inlineinherited

Set whether this object resets its buffers each time it updates.

## ◆ setSourceRenderable()

void Ogre::v1::RenderToVertexBuffer::setSourceRenderable | ( | Renderable * | source | ) |
| inlineinherited

Set the source renderable of this object.

During the first (and perhaps later) update of this object, this object's data will be used as input)

## ◆ update()

virtual void Ogre::v1::GLES2RenderToVertexBuffer::update | ( | SceneManager * | sceneMgr | ) |
| virtual

Update the contents of this vertex buffer by rendering.

Implements Ogre::v1::RenderToVertexBuffer.

The documentation for this class was generated from the following file:

- OgreGLES2RenderToVertexBuffer.h